Bug 1250350 - [GSS] (6.1.z) Exceptions are not logged in server.log file if not able to connect to kie-server
[GSS] (6.1.z) Exceptions are not logged in server.log file if not able to con...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: CR1
: 6.1.0
Assigned To: Toni Rikkola
Karel Suta
:
Depends On: 1250349
Blocks: 1249859 bpms6.1.3-payload
  Show dependency treegraph
 
Reported: 2015-08-05 04:29 EDT by Abhijit humbe
Modified: 2015-09-02 03:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1250349
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijit humbe 2015-08-05 04:29:41 EDT
+++ This bug was initially created as a clone of Bug #1250349 +++

Description of problem:
When it can't connect to the endpoint(https://localhost:8443/kie-server/services/rest/server/) it just gives: "Can't connect to endpoint" on the business central screen. But it didnt log exception in log file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Start server and log into business central console.
2.Go to "Deploy"-->"Rule Deployments" and try to register Kie-server
3.Specify incorrect username/password, and try to connect, exception is not logged in server.log

Actual results:
Exception is not logged in server.log

Expected results:
Exception should be logged in server.log

Additional info:
Comment 2 Toni Rikkola 2015-08-18 14:03:30 EDT
6.2.x

https://github.com/droolsjbpm/kie-wb-common/commit/b32c744ed
Comment 4 Karel Suta 2015-09-02 03:04:21 EDT
Verified in 6.1.3.

Note You need to log in before you can comment on or make changes to this bug.